Bug 35329 - Move patron searches to a modal
Summary: Move patron searches to a modal
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 33457 35701 35742 35743 35745 35756 35865
Blocks: 35845 35847 35862 35864 35846 35861
  Show dependency treegraph
 
Reported: 2023-11-14 08:47 UTC by Jonathan Druart
Modified: 2024-02-26 14:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 35329: move patron search to modal - Add guarantor (14.69 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (2.65 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.39 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (39.13 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.03 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.73 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.71 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (7.99 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.11 KB, patch)
2024-01-09 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.42 KB, patch)
2024-01-10 07:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.22 KB, patch)
2024-01-10 08:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: move patron search to modal - Add guarantor (14.75 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (2.65 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.39 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (37.91 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.03 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.73 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.71 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (7.99 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.11 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.42 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.22 KB, patch)
2024-01-10 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.34 KB, patch)
2024-01-10 12:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (5.18 KB, patch)
2024-01-10 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.39 KB, patch)
2024-01-10 13:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.27 KB, patch)
2024-01-10 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.25 KB, patch)
2024-01-10 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.46 KB, patch)
2024-01-10 14:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.38 KB, patch)
2024-01-10 14:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.27 KB, patch)
2024-01-10 14:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.24 KB, patch)
2024-01-10 14:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.83 KB, patch)
2024-01-10 15:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add cypress tests (3.05 KB, patch)
2024-01-10 15:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (2.14 KB, patch)
2024-01-12 12:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (3.38 KB, patch)
2024-01-12 12:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: move patron search to modal - Add guarantor (14.79 KB, patch)
2024-01-12 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (2.70 KB, patch)
2024-01-12 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.43 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (37.95 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.08 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.78 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.76 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (8.04 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.16 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.46 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.26 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.50 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.43 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.32 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.88 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Add cypress tests (3.09 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (3.43 KB, patch)
2024-01-12 12:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Widescreen display (85.04 KB, image/png)
2024-01-19 07:36 UTC, Martin Renvoize
Details
Almost invisible feedback (40.31 KB, image/png)
2024-01-19 07:37 UTC, Martin Renvoize
Details
Bug 35329: move patron search to modal - Add guarantor (14.86 KB, patch)
2024-01-19 10:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (2.76 KB, patch)
2024-01-19 10:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.50 KB, patch)
2024-01-19 10:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (38.03 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.14 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.84 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.82 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (8.11 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.23 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.53 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.33 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.57 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.51 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.39 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.95 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add cypress tests (3.16 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (3.50 KB, patch)
2024-01-19 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Fix filter vars scope (1.98 KB, patch)
2024-01-22 20:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add styling to info and error (1.34 KB, patch)
2024-01-22 20:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Fix filter vars scope (2.04 KB, patch)
2024-01-23 11:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add styling to info and error (1.41 KB, patch)
2024-01-23 11:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: move patron search to modal - Add guarantor (14.89 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (2.76 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.50 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (38.03 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.14 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.84 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.82 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (8.11 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.23 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.53 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.33 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.57 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.51 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.42 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.95 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add cypress tests (3.16 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (3.50 KB, patch)
2024-01-23 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Fix filter vars scope (2.04 KB, patch)
2024-01-23 11:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add styling to info and error (1.41 KB, patch)
2024-01-23 11:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (QA follow-up) Fix for bug 35865 (1.25 KB, patch)
2024-01-23 11:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: move patron search to modal - Add guarantor (14.94 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (2.76 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.50 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (38.01 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.14 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.84 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.82 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (8.11 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.23 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.53 KB, patch)
2024-01-25 14:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.33 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.57 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.04 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.42 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.95 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add cypress tests (3.16 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (3.50 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Fix filter vars scope (2.04 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: Add styling to info and error (1.41 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: (QA follow-up) Fix for bug 35865 (1.25 KB, patch)
2024-01-25 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35329: move patron search to modal - Add guarantor (14.94 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - neworderempty (3.11 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - basket (3.50 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - funds (38.06 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - edit-batch (8.04 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - routing list (5.86 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - erm (3.82 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - suggestion (7.92 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Move patron search to modal - remove members/search.pl (6.23 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Fix neworderempty (1.53 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Remove fixedHeader (1.33 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: (follow-up) Trigger Select2 upon modal open (1.57 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Prevent XSS (6.04 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: (follow-up) Label changes for improved accessibility (10.42 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add selenium tests (28.95 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add cypress tests (3.16 KB, patch)
2024-02-26 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add POD + tidy Selenium.pm (3.50 KB, patch)
2024-02-26 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Fix filter vars scope (2.04 KB, patch)
2024-02-26 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Add styling to info and error (1.41 KB, patch)
2024-02-26 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: (QA follow-up) Fix for bug 35865 (1.25 KB, patch)
2024-02-26 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Adjustment for 34478 (1.06 KB, patch)
2024-02-26 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 35329: Handle duplicate without 500 (1.12 KB, patch)
2024-02-26 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2023-11-14 08:47:00 UTC
The patron searches are made in a popup window, we should move it to a modal:
1. More friendly for end users
2. Will be able to test correctly from cypress
3. Easier to maintain (code will be less ugly).
Comment 1 Jonathan Druart 2023-12-20 12:29:48 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2024-01-09 14:54:09 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2024-01-09 14:54:11 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2024-01-09 14:54:14 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2024-01-09 14:54:17 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2024-01-09 14:54:20 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2024-01-09 14:54:23 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2024-01-09 14:54:26 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2024-01-09 14:54:29 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2024-01-09 14:54:31 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2024-01-09 15:21:37 UTC
(In reply to Jonathan Druart from comment #2)
> Created attachment 160698 [details] [review] [review]
> Bug 35329: move patron search to modal - Add guarantor

This patch is co-authored-by: Owen, thanks! :)
Comment 12 Owen Leonard 2024-01-09 19:32:42 UTC
Here's what I've found so far:

- The search from neworderempty.pl doesn't work at all. The form shows up but doesn't work to return results.

- On some pages there is feedback when you click an "Add" button from the search results. If you select a patron who has a space in borrowers.firstname, e.g. "John Quincy" the message looks like this:

"Patron 'John%20Quincy Adams' added."

- Intermittently I get this error:

Uncaught TypeError: can't access property "description", categories_map[data.toLowerCase()] is undefined

...but I haven't been able to pin down how to reproduce it.
Comment 13 Jonathan Druart 2024-01-10 07:57:53 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2024-01-10 07:58:07 UTC
(In reply to Owen Leonard from comment #12)
> Here's what I've found so far:
> 
> - The search from neworderempty.pl doesn't work at all. The form shows up
> but doesn't work to return results.

Should be fixed on "Bug 35329: Fix neworderempty"

> - On some pages there is feedback when you click an "Add" button from the
> search results. If you select a patron who has a space in
> borrowers.firstname, e.g. "John Quincy" the message looks like this:
> 
> "Patron 'John%20Quincy Adams' added."

Reported on a separate bug (it affects master): bug 35756

> - Intermittently I get this error:
> 
> Uncaught TypeError: can't access property "description",
> categories_map[data.toLowerCase()] is undefined
> 
> ...but I haven't been able to pin down how to reproduce it.

This can happen if one of patron's category is not defined in the patron categories admin area (not possible, we have a FK, but maybe it's NULL?).
Or if you have created a patron category in a separate window and run the search from the modal without having refreshed it. Just guesses here...
Comment 15 Jonathan Druart 2024-01-10 08:06:14 UTC Comment hidden (obsolete)
Comment 16 Jonathan Druart 2024-01-10 08:07:07 UTC
Remaining work:
1. Add/fix some styling
2. Fix Select2 styling (width is too short)
3. Add E2E tests
Comment 17 Jonathan Druart 2024-01-10 08:45:18 UTC
Created attachment 160733 [details] [review]
Bug 35329: move patron search to modal - Add guarantor

This is the first of many patches to come.

We will rewrite the patron search popup to convert it to a Bootstrap's modal.

I faced different problems on different pages, it is preferable to test
each page on top of the whole patchset, to make sure a futur change will
not break previous pages (and this is why they are all on the same bug
report).

For each page we will test that:
* the different filters work
* the "Clear" filters button work
* the "Add" or "Select" patron button works
* the nested modal to display patron's details (when clicking on their
  name or cardnumber) works

On this patch we are testing the guarantor search:
Create a edit a patron and click "Add guarantor" to open the modal.
Comment 18 Jonathan Druart 2024-01-10 08:45:21 UTC
Created attachment 160734 [details] [review]
Bug 35329: Move patron search to modal - neworderempty

Test plan:
Create a new acquisition order and add users.

FIXME:
Note that rules for .modal-dialog .dialog.message need to be adjusted.
Comment 19 Jonathan Druart 2024-01-10 08:45:23 UTC
Created attachment 160735 [details] [review]
Bug 35329: Move patron search to modal - basket

Add user to an acquisition basket
Comment 20 Jonathan Druart 2024-01-10 08:45:26 UTC
Created attachment 160736 [details] [review]
Bug 35329: Move patron search to modal - funds

This is a tricky one.
We can have several modals per page, patron-search.inc needs to be
adjusted to not use ids but classes. Also we need to declare JS
variables with 'var' instead of 'let' (which does not allow redefinition
of the same variable).

Test plan:
Create or modify a fund
"Select owner" and "Add users" to open the modals.
Comment 21 Jonathan Druart 2024-01-10 08:45:29 UTC
Created attachment 160737 [details] [review]
Bug 35329: Move patron search to modal - edit-batch

Test plan:
Create new patron card batch
Keep the textarea empty and click "Add patron(s)" to open the modal
There is a special feature here, the "checkbox" column is displayed and
you can select several patrons and click "Add selected patrons".
Comment 22 Jonathan Druart 2024-01-10 08:45:32 UTC
Created attachment 160738 [details] [review]
Bug 35329: Move patron search to modal - routing list

The behaviour is a bit different here. Adding a patron from the popup
refreshed the parent page with the newly added patron.

With this patch the refresh of the page will happen when the modal is
closed (if patrons have been added).

Test plan:
Create a subscription, receive one item, create a routing list.
Add users.
Comment 23 Jonathan Druart 2024-01-10 08:45:35 UTC
Created attachment 160739 [details] [review]
Bug 35329: Move patron search to modal - erm

Test plan:
Edit an agreement or a license
Add new user and click "Select user" to open the modal
Test with different user for the same agreement/license
Comment 24 Jonathan Druart 2024-01-10 08:45:39 UTC
Created attachment 160740 [details] [review]
Bug 35329: Move patron search to modal - suggestion

Test plan:
Edit a suggestion
Click "Set patron" to change the suggester
Click "Select manager" to set the manager

On the suggestion list view, you can also select a manager. Make sure
you are testing with different tabs (suggestions with different statuses).
Comment 25 Jonathan Druart 2024-01-10 08:45:41 UTC
Created attachment 160741 [details] [review]
Bug 35329: Move patron search to modal - remove members/search.pl

 git grep members/search.pl
should not return any results
Comment 26 Jonathan Druart 2024-01-10 08:45:44 UTC
Created attachment 160742 [details] [review]
Bug 35329: Fix neworderempty

Hum I had to put it that way but I cannot remember why. Moving patron_search_js after patron_search_modal fixes the search problem (see comment 12).
Comment 27 Jonathan Druart 2024-01-10 08:45:47 UTC
Created attachment 160743 [details] [review]
Bug 35329: Remove fixedHeader

If fixedHeader is set for the result table in the modal, the header will
still appear (quite randomly) on the main view.

To recreate the problem:
Go to /cgi-bin/koha/members/memberentry.pl
Click Add guarantor
Search
Close the modal
Scroll down
=> The header of the table will be displayed randomly at the top of the
page
Comment 28 Owen Leonard 2024-01-10 12:31:14 UTC Comment hidden (obsolete)
Comment 29 Jonathan Druart 2024-01-10 12:56:29 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2024-01-10 13:13:39 UTC Comment hidden (obsolete)
Comment 31 Owen Leonard 2024-01-10 13:39:32 UTC Comment hidden (obsolete)
Comment 32 Jonathan Druart 2024-01-10 13:47:36 UTC Comment hidden (obsolete)
Comment 33 Owen Leonard 2024-01-10 14:16:57 UTC
Created attachment 160768 [details] [review]
Bug 35329: (follow-up) Trigger Select2 upon modal open

If we wait until the modal is visible Select2 can correctly calculate
the width needed for the Sort 1 and Sort 2 dropdowns.
Comment 34 Owen Leonard 2024-01-10 14:16:59 UTC
Created attachment 160769 [details] [review]
Bug 35329: Prevent XSS
Comment 35 Owen Leonard 2024-01-10 14:17:01 UTC
Created attachment 160770 [details] [review]
Bug 35329: (follow-up) Label changes for improved accessibility

This patch alters the patron search form so that <label>s wrap the
<input> fields, allowing the label to be clickable without having to
associate it with a unique id. CSS has been modified to accommodate this
change.

The patch also adds missing Bootstrap classes to the "Clear" button, and
swaps out the "hint" class for the "note" class on the permissions
information ("Only staff with superlibrarian or acquisitions
permissions...").

After this patch, form field labels in the patron search modal should be
clickable to give focus to the field (except for Sort 1 and Sort 2 --
label don't work that way with Select2).
Comment 36 Owen Leonard 2024-01-10 14:17:04 UTC Comment hidden (obsolete)
Comment 37 Jonathan Druart 2024-01-10 15:01:30 UTC Comment hidden (obsolete)
Comment 38 Jonathan Druart 2024-01-10 15:45:56 UTC Comment hidden (obsolete)
Comment 39 Jonathan Druart 2024-01-12 12:28:08 UTC Comment hidden (obsolete)
Comment 40 Jonathan Druart 2024-01-12 12:31:19 UTC Comment hidden (obsolete)
Comment 41 Owen Leonard 2024-01-12 12:56:57 UTC Comment hidden (obsolete)
Comment 42 Owen Leonard 2024-01-12 12:56:59 UTC Comment hidden (obsolete)
Comment 43 Owen Leonard 2024-01-12 12:57:02 UTC Comment hidden (obsolete)
Comment 44 Owen Leonard 2024-01-12 12:57:04 UTC Comment hidden (obsolete)
Comment 45 Owen Leonard 2024-01-12 12:57:07 UTC Comment hidden (obsolete)
Comment 46 Owen Leonard 2024-01-12 12:57:09 UTC Comment hidden (obsolete)
Comment 47 Owen Leonard 2024-01-12 12:57:11 UTC Comment hidden (obsolete)
Comment 48 Owen Leonard 2024-01-12 12:57:14 UTC Comment hidden (obsolete)
Comment 49 Owen Leonard 2024-01-12 12:57:16 UTC Comment hidden (obsolete)
Comment 50 Owen Leonard 2024-01-12 12:57:19 UTC Comment hidden (obsolete)
Comment 51 Owen Leonard 2024-01-12 12:57:21 UTC Comment hidden (obsolete)
Comment 52 Owen Leonard 2024-01-12 12:57:23 UTC Comment hidden (obsolete)
Comment 53 Owen Leonard 2024-01-12 12:57:26 UTC Comment hidden (obsolete)
Comment 54 Owen Leonard 2024-01-12 12:57:28 UTC Comment hidden (obsolete)
Comment 55 Owen Leonard 2024-01-12 12:57:31 UTC Comment hidden (obsolete)
Comment 56 Owen Leonard 2024-01-12 12:57:33 UTC Comment hidden (obsolete)
Comment 57 Owen Leonard 2024-01-12 12:57:36 UTC Comment hidden (obsolete)
Comment 58 Martin Renvoize 2024-01-19 07:26:41 UTC
Minor comment, I think the result of an action could be made more apparent.. it's rather hidden away.. also, if re-opening the modal, the result of the last operation is still visible.

I tested with New Order Empty to deduct the above.
Comment 59 Martin Renvoize 2024-01-19 07:36:21 UTC
Next comment.. could we perhaps put the results next to rather than under the filters form in the modal?

It feels odd to have so much whitespace in the modal and have the actual useful content almost hidden off screen.. widescreen aspect ratios are pretty common these days?
Comment 60 Martin Renvoize 2024-01-19 07:36:49 UTC
Created attachment 161165 [details]
Widescreen display
Comment 61 Martin Renvoize 2024-01-19 07:37:32 UTC
Created attachment 161166 [details]
Almost invisible feedback
Comment 62 Martin Renvoize 2024-01-19 07:38:12 UTC
So.. those two could be new bug follow-ups as they're enhancements on top of this.
Comment 63 Martin Renvoize 2024-01-19 09:59:32 UTC
We should have a message similar to that on the funds ownership search in the basket manager search.. we limit that search to users with particular permissions too.
Comment 64 Martin Renvoize 2024-01-19 10:12:16 UTC
For consistency, I feel like whenever a search can be used to add to a list of patrons, we should expose the select boxes and add selected functionlity.  I don't think this should be specifically limited to patron card creator batches.
Comment 65 Martin Renvoize 2024-01-19 10:24:52 UTC Comment hidden (obsolete)
Comment 66 Martin Renvoize 2024-01-19 10:24:55 UTC Comment hidden (obsolete)
Comment 67 Martin Renvoize 2024-01-19 10:24:58 UTC Comment hidden (obsolete)
Comment 68 Martin Renvoize 2024-01-19 10:25:01 UTC Comment hidden (obsolete)
Comment 69 Martin Renvoize 2024-01-19 10:25:05 UTC Comment hidden (obsolete)
Comment 70 Martin Renvoize 2024-01-19 10:25:08 UTC Comment hidden (obsolete)
Comment 71 Martin Renvoize 2024-01-19 10:25:11 UTC Comment hidden (obsolete)
Comment 72 Martin Renvoize 2024-01-19 10:25:14 UTC Comment hidden (obsolete)
Comment 73 Martin Renvoize 2024-01-19 10:25:17 UTC Comment hidden (obsolete)
Comment 74 Martin Renvoize 2024-01-19 10:25:20 UTC Comment hidden (obsolete)
Comment 75 Martin Renvoize 2024-01-19 10:25:23 UTC Comment hidden (obsolete)
Comment 76 Martin Renvoize 2024-01-19 10:25:26 UTC Comment hidden (obsolete)
Comment 77 Martin Renvoize 2024-01-19 10:25:29 UTC Comment hidden (obsolete)
Comment 78 Martin Renvoize 2024-01-19 10:25:32 UTC Comment hidden (obsolete)
Comment 79 Martin Renvoize 2024-01-19 10:25:35 UTC Comment hidden (obsolete)
Comment 80 Martin Renvoize 2024-01-19 10:25:38 UTC Comment hidden (obsolete)
Comment 81 Martin Renvoize 2024-01-19 10:25:42 UTC Comment hidden (obsolete)
Comment 82 Martin Renvoize 2024-01-19 10:28:11 UTC
Right.. I've decided this has enough work on it already.. the functionality all works well for me and I'm unable to break anything.

The consistency improvements are just that, improvements/enhancements on top of this so I'm going to report them as new bugs depending on this one and let this one pass as is.

Passing QA
Comment 83 Martin Renvoize 2024-01-19 11:04:59 UTC
(In reply to Martin Renvoize from comment #63)
> We should have a message similar to that on the funds ownership search in
> the basket manager search.. we limit that search to users with particular
> permissions too.

OK, I changed my mind on the PQA.. as far as I can tell this is actually a regression.

We're calling patron_search_js as apposed to patron_search_table as our include in this case and thus the 'note' divs that display information about the search limits do not appear in this case.. it appears like they should be.

There's also a mismatch in the filter names.. 'baskets_managers' vs 'orders_managers'.. I think this does need fixing before we go PQA... I had a quick look and couldn't work out the logic flow here I'm afraid :(
Comment 84 Jonathan Druart 2024-01-22 20:55:42 UTC Comment hidden (obsolete)
Comment 85 Jonathan Druart 2024-01-22 20:55:45 UTC
Created attachment 161260 [details] [review]
Bug 35329: Add styling to info and error

There were 2 "class" attribute and the second was ignored.
This could still be improved, but then we should adjust the css from
staff-global, but won't be trivial to test.
Comment 86 Jonathan Druart 2024-01-22 20:56:34 UTC
(In reply to Martin Renvoize from comment #58)
> Minor comment, I think the result of an action could be made more apparent..
> it's rather hidden away..

Added some styling on "Add styling to info and error", but could still be improved I think.

> also, if re-opening the modal, the result of the
> last operation is still visible.

Yes, I didn't know if it would be considered a bug or not, and it was not trivial to implement. Opened bug 35864 for discussion.

(In reply to Martin Renvoize from comment #59)
> Next comment.. could we perhaps put the results next to rather than under
> the filters form in the modal?
> 
> It feels odd to have so much whitespace in the modal and have the actual
> useful content almost hidden off screen.. widescreen aspect ratios are
> pretty common these days?

Good idea, but definitely for a separate bug. Opened bug 35862.

(In reply to Martin Renvoize from comment #63)
> We should have a message similar to that on the funds ownership search in
> the basket manager search.. we limit that search to users with particular
> permissions too.

Yes, this is a bug, fixed in "Fix filter vars scope".

(In reply to Martin Renvoize from comment #64)
> For consistency, I feel like whenever a search can be used to add to a list
> of patrons, we should expose the select boxes and add selected functionlity.
> I don't think this should be specifically limited to patron card creator
> batches.

No behavior changes here, but yes that could be nice. Opened bug 35861.

(In reply to Martin Renvoize from comment #83)
> There's also a mismatch in the filter names.. 'baskets_managers' vs
> 'orders_managers'.. I think this does need fixing before we go PQA... I had
> a quick look and couldn't work out the logic flow here I'm afraid :(

I don't think so. However orders_managers is never used (neither on master) and we should investigate that.
Comment 87 Jonathan Druart 2024-01-22 21:05:41 UTC
> (In reply to Martin Renvoize from comment #83)
> > There's also a mismatch in the filter names.. 'baskets_managers' vs
> > 'orders_managers'.. I think this does need fixing before we go PQA... I had
> > a quick look and couldn't work out the logic flow here I'm afraid :(
> 
> I don't think so. However orders_managers is never used (neither on master)
> and we should investigate that.

Ok, opened bug 35865.
Comment 88 Jonathan Druart 2024-01-23 07:52:10 UTC
Oops, just noticed you have opened bugs already! Marked bug 35846 and bug 35861 as duplicate!
Comment 89 Martin Renvoize 2024-01-23 11:34:00 UTC Comment hidden (obsolete)
Comment 90 Martin Renvoize 2024-01-23 11:34:03 UTC Comment hidden (obsolete)
Comment 91 Martin Renvoize 2024-01-23 11:35:40 UTC
OK.. with the follow-ups we've resolved all my concerns.. anything else falls into the enhancement on top category and there are bugs opened and linked for that.

Passing QA
Comment 92 Martin Renvoize 2024-01-23 11:45:01 UTC Comment hidden (obsolete)
Comment 93 Martin Renvoize 2024-01-23 11:45:05 UTC Comment hidden (obsolete)
Comment 94 Martin Renvoize 2024-01-23 11:45:09 UTC Comment hidden (obsolete)
Comment 95 Martin Renvoize 2024-01-23 11:45:13 UTC Comment hidden (obsolete)
Comment 96 Martin Renvoize 2024-01-23 11:45:16 UTC Comment hidden (obsolete)
Comment 97 Martin Renvoize 2024-01-23 11:45:19 UTC Comment hidden (obsolete)
Comment 98 Martin Renvoize 2024-01-23 11:45:23 UTC Comment hidden (obsolete)
Comment 99 Martin Renvoize 2024-01-23 11:45:26 UTC Comment hidden (obsolete)
Comment 100 Martin Renvoize 2024-01-23 11:45:29 UTC Comment hidden (obsolete)
Comment 101 Martin Renvoize 2024-01-23 11:45:32 UTC Comment hidden (obsolete)
Comment 102 Martin Renvoize 2024-01-23 11:45:36 UTC Comment hidden (obsolete)
Comment 103 Martin Renvoize 2024-01-23 11:45:39 UTC Comment hidden (obsolete)
Comment 104 Martin Renvoize 2024-01-23 11:45:42 UTC Comment hidden (obsolete)
Comment 105 Martin Renvoize 2024-01-23 11:45:46 UTC Comment hidden (obsolete)
Comment 106 Martin Renvoize 2024-01-23 11:45:50 UTC Comment hidden (obsolete)
Comment 107 Martin Renvoize 2024-01-23 11:45:53 UTC Comment hidden (obsolete)
Comment 108 Martin Renvoize 2024-01-23 11:45:56 UTC Comment hidden (obsolete)
Comment 109 Martin Renvoize 2024-01-23 11:46:00 UTC Comment hidden (obsolete)
Comment 110 Martin Renvoize 2024-01-23 11:46:03 UTC Comment hidden (obsolete)
Comment 111 Martin Renvoize 2024-01-23 11:46:06 UTC Comment hidden (obsolete)
Comment 112 Martin Renvoize 2024-01-23 11:46:52 UTC
Small rebase so I could move bug 35865 (a bugfix) above this in the dependencies and then make sure we don't lose the fix from there when applying this one to master.
Comment 113 Martin Renvoize 2024-01-25 14:03:25 UTC Comment hidden (obsolete)
Comment 114 Martin Renvoize 2024-01-25 14:03:28 UTC Comment hidden (obsolete)
Comment 115 Martin Renvoize 2024-01-25 14:03:33 UTC Comment hidden (obsolete)
Comment 116 Martin Renvoize 2024-01-25 14:03:36 UTC Comment hidden (obsolete)
Comment 117 Martin Renvoize 2024-01-25 14:03:40 UTC Comment hidden (obsolete)
Comment 118 Martin Renvoize 2024-01-25 14:03:44 UTC Comment hidden (obsolete)
Comment 119 Martin Renvoize 2024-01-25 14:03:48 UTC Comment hidden (obsolete)
Comment 120 Martin Renvoize 2024-01-25 14:03:52 UTC Comment hidden (obsolete)
Comment 121 Martin Renvoize 2024-01-25 14:03:55 UTC Comment hidden (obsolete)
Comment 122 Martin Renvoize 2024-01-25 14:03:58 UTC Comment hidden (obsolete)
Comment 123 Martin Renvoize 2024-01-25 14:04:02 UTC Comment hidden (obsolete)
Comment 124 Martin Renvoize 2024-01-25 14:04:05 UTC Comment hidden (obsolete)
Comment 125 Martin Renvoize 2024-01-25 14:04:09 UTC Comment hidden (obsolete)
Comment 126 Martin Renvoize 2024-01-25 14:04:13 UTC Comment hidden (obsolete)
Comment 127 Martin Renvoize 2024-01-25 14:04:17 UTC Comment hidden (obsolete)
Comment 128 Martin Renvoize 2024-01-25 14:04:20 UTC Comment hidden (obsolete)
Comment 129 Martin Renvoize 2024-01-25 14:04:24 UTC Comment hidden (obsolete)
Comment 130 Martin Renvoize 2024-01-25 14:04:27 UTC Comment hidden (obsolete)
Comment 131 Martin Renvoize 2024-01-25 14:04:31 UTC Comment hidden (obsolete)
Comment 132 Martin Renvoize 2024-01-25 14:04:34 UTC Comment hidden (obsolete)
Comment 133 Martin Renvoize 2024-01-25 14:04:59 UTC
Minor rebase on top of bug 33457
Comment 134 Jonathan Druart 2024-02-26 14:37:05 UTC
Created attachment 162436 [details] [review]
Bug 35329: move patron search to modal - Add guarantor

This is the first of many patches to come.

We will rewrite the patron search popup to convert it to a Bootstrap's modal.

I faced different problems on different pages, it is preferable to test
each page on top of the whole patchset, to make sure a futur change will
not break previous pages (and this is why they are all on the same bug
report).

For each page we will test that:
* the different filters work
* the "Clear" filters button work
* the "Add" or "Select" patron button works
* the nested modal to display patron's details (when clicking on their
  name or cardnumber) works

On this patch we are testing the guarantor search:
Create a edit a patron and click "Add guarantor" to open the modal.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 135 Jonathan Druart 2024-02-26 14:37:09 UTC
Created attachment 162437 [details] [review]
Bug 35329: Move patron search to modal - neworderempty

Test plan:
Create a new acquisition order and add users.

FIXME:
Note that rules for .modal-dialog .dialog.message need to be adjusted.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 136 Jonathan Druart 2024-02-26 14:37:12 UTC
Created attachment 162438 [details] [review]
Bug 35329: Move patron search to modal - basket

Add user to an acquisition basket

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 137 Jonathan Druart 2024-02-26 14:37:16 UTC
Created attachment 162439 [details] [review]
Bug 35329: Move patron search to modal - funds

This is a tricky one.
We can have several modals per page, patron-search.inc needs to be
adjusted to not use ids but classes. Also we need to declare JS
variables with 'var' instead of 'let' (which does not allow redefinition
of the same variable).

Test plan:
Create or modify a fund
"Select owner" and "Add users" to open the modals.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 138 Jonathan Druart 2024-02-26 14:37:19 UTC
Created attachment 162440 [details] [review]
Bug 35329: Move patron search to modal - edit-batch

Test plan:
Create new patron card batch
Keep the textarea empty and click "Add patron(s)" to open the modal
There is a special feature here, the "checkbox" column is displayed and
you can select several patrons and click "Add selected patrons".

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 139 Jonathan Druart 2024-02-26 14:37:23 UTC
Created attachment 162441 [details] [review]
Bug 35329: Move patron search to modal - routing list

The behaviour is a bit different here. Adding a patron from the popup
refreshed the parent page with the newly added patron.

With this patch the refresh of the page will happen when the modal is
closed (if patrons have been added).

Test plan:
Create a subscription, receive one item, create a routing list.
Add users.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 140 Jonathan Druart 2024-02-26 14:37:26 UTC
Created attachment 162442 [details] [review]
Bug 35329: Move patron search to modal - erm

Test plan:
Edit an agreement or a license
Add new user and click "Select user" to open the modal
Test with different user for the same agreement/license

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 141 Jonathan Druart 2024-02-26 14:37:30 UTC
Created attachment 162443 [details] [review]
Bug 35329: Move patron search to modal - suggestion

Test plan:
Edit a suggestion
Click "Set patron" to change the suggester
Click "Select manager" to set the manager

On the suggestion list view, you can also select a manager. Make sure
you are testing with different tabs (suggestions with different statuses).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 142 Jonathan Druart 2024-02-26 14:37:33 UTC
Created attachment 162444 [details] [review]
Bug 35329: Move patron search to modal - remove members/search.pl

 git grep members/search.pl
should not return any results

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 143 Jonathan Druart 2024-02-26 14:37:37 UTC
Created attachment 162445 [details] [review]
Bug 35329: Fix neworderempty

Hum I had to put it that way but I cannot remember why. Moving patron_search_js after patron_search_modal fixes the search problem (see comment 12).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 144 Jonathan Druart 2024-02-26 14:37:40 UTC
Created attachment 162446 [details] [review]
Bug 35329: Remove fixedHeader

If fixedHeader is set for the result table in the modal, the header will
still appear (quite randomly) on the main view.

To recreate the problem:
Go to /cgi-bin/koha/members/memberentry.pl
Click Add guarantor
Search
Close the modal
Scroll down
=> The header of the table will be displayed randomly at the top of the
page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 145 Jonathan Druart 2024-02-26 14:37:44 UTC
Created attachment 162447 [details] [review]
Bug 35329: (follow-up) Trigger Select2 upon modal open

If we wait until the modal is visible Select2 can correctly calculate
the width needed for the Sort 1 and Sort 2 dropdowns.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 146 Jonathan Druart 2024-02-26 14:37:48 UTC
Created attachment 162448 [details] [review]
Bug 35329: Prevent XSS

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 147 Jonathan Druart 2024-02-26 14:37:52 UTC
Created attachment 162449 [details] [review]
Bug 35329: (follow-up) Label changes for improved accessibility

This patch alters the patron search form so that <label>s wrap the
<input> fields, allowing the label to be clickable without having to
associate it with a unique id. CSS has been modified to accommodate this
change.

The patch also adds missing Bootstrap classes to the "Clear" button, and
swaps out the "hint" class for the "note" class on the permissions
information ("Only staff with superlibrarian or acquisitions
permissions...").

After this patch, form field labels in the patron search modal should be
clickable to give focus to the field (except for Sort 1 and Sort 2 --
label don't work that way with Select2).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 148 Jonathan Druart 2024-02-26 14:37:55 UTC
Created attachment 162450 [details] [review]
Bug 35329: Add selenium tests

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 149 Jonathan Druart 2024-02-26 14:37:59 UTC
Created attachment 162451 [details] [review]
Bug 35329: Add cypress tests

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 150 Jonathan Druart 2024-02-26 14:38:03 UTC
Created attachment 162452 [details] [review]
Bug 35329: Add POD + tidy Selenium.pm

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 151 Jonathan Druart 2024-02-26 14:38:07 UTC
Created attachment 162453 [details] [review]
Bug 35329: Fix filter vars scope

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 152 Jonathan Druart 2024-02-26 14:38:10 UTC
Created attachment 162454 [details] [review]
Bug 35329: Add styling to info and error

There were 2 "class" attribute and the second was ignored.
This could still be improved, but then we should adjust the css from
staff-global, but won't be trivial to test.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 153 Jonathan Druart 2024-02-26 14:38:14 UTC
Created attachment 162455 [details] [review]
Bug 35329: (QA follow-up) Fix for bug 35865

This restores the missing hint that's restored by bug 35865 ahead of
this patchset
Comment 154 Jonathan Druart 2024-02-26 14:38:17 UTC
Created attachment 162456 [details] [review]
Bug 35329: Adjustment for 34478
Comment 155 Jonathan Druart 2024-02-26 14:38:21 UTC
Created attachment 162457 [details] [review]
Bug 35329: Handle duplicate without 500

This is not perfect but way better than before!
Comment 156 Jonathan Druart 2024-02-26 14:38:52 UTC
Patches rebased and adjusted on top of bug 34478 (and friends).